%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define libgnomeui_version 2.4.0.1
%define libgnome_version 2.4.0
%define libzvt_version 2.0.1
%define bonobo_activation_version @bonobo-activation_version@
%define scrollkeeper_version 0.3.12
%define gnome_desktop_version 2.4.0

Summary: 	GNOME Terminal
Name:  		gnome-terminal
Version: 	2.4.0.1
Release: 	1
URL: 		http://www.gnome.org
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-terminal/%{name}-%{version}.tar.bz2

Patch0:		gnome-terminal-2.4.0.1-aix.patch
Patch1:		gnome-terminal-2.4.0.1-autotools.patch

License: 	GPL 
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:       gnome-desktop >= %{gnome_desktop_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libzvt-devel >= %{libzvt_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gettext

%description
GNOME terminal emulator application.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-terminal-2.4.0.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-terminal-2.4.0.1-autotools.patch


%build
CPPFLAGS=-I%{_includedir} LDFLAGS=-L%{_libdir} \
	PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook \
	PATH=%{_bindir}:$PATH \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-terminal.schemas > /dev/null
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/bonobo
%{_sysconfdir}/gconf/schemas/gnome-terminal.schemas
%{_datadir}/gnome-terminal
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/application-registry
%{_datadir}/locale/*/LC_MESSAGES/gnome-terminal.mo

/usr/bin/*
